
cfile=$1.c
hfile=$1.h
let count=0
rm $cfile $hfile
echo "#include \"${hfile}\"">> $cfile
echo "#include \"sound.h\"">> $hfile
for i in `ls *.wav`
do
  filename=`echo $i | awk -F'.' '{print $1}'`
  filename_U=`echo $i | awk -F'.' '{print toupper($1)}'`
  
  echo "extern unsigned char  _binary_${filename}_raw_start[];" >> $hfile
  echo "extern unsigned char _binary_${filename}_raw_end[];">> $hfile
  echo "#define SOUND_${filename_U}  ${count}">> $hfile
  
  echo "const static SoundMap SoundMap_${count} = {">> $cfile
  echo "  _binary_${filename}_raw_start,">> $cfile
  echo "  _binary_${filename}_raw_end">> $cfile
  echo "};">> $cfile
  let count=${count}+1
done

let value=0
echo "const SoundMap * const theSoundMap [] = {">> $cfile
while test $value -lt $count 
do
  echo "  &SoundMap_${value},">> $cfile
  let value=${value}+1
done
echo "};">> $cfile

