#ifndef keyboard_h_seen
#define keyboard_h_seen

typedef void (*FunctionPtr)(void);
extern int g_keyboard_str_index;
extern char g_keyboard_str[9];
// on_change is the function to call when the player enters/deletes a letter 
//           it should draw the current g_keyboard_str to the screen to provide feedback
// on_enter is what to do when the player hits start/enter
// return_screen is the screen to go to when the player "cancels"
void set_vk_callbacks(FunctionPtr on_change, FunctionPtr on_enter, int return_screen);
void load_vk(char enter);
void virtual_keys(void);


#endif

